---
image: registry.ethz.ch/ansible-community/images/molecule-testing:3f18c9e2949d999b9f2f29010970cc73045d0af8

services:
  - name: registry.ethz.ch/ansible-community/images/molecule-testing:3f18c9e2949d999b9f2f29010970cc73045d0af8
    command: ["--tls=false"]

variables:
  PY_COLORS: 1
  GIT_STRATEGY: clone
  # DOCKER_HOST: tcp://localhost:2375
  DOCKER_TLS_CERTDIR: ""

stages:
  - tests

before_script:
  - docker -v
  - python -V
  - ansible --version
  - molecule --version
  - pip3 install --user netaddr
  - ansible-galaxy collection install community.zabbix

# Test zabbix_agent on Kubernetes
zabbix_agent-test:
  stage: tests
  tags:
    - k8s-runner
  script:
    - cd roles/zabbix_agent;
      molecule test;
  only:
    changes:
      - .gitlab-ci.yml
      - roles/zabbix_agent/**/*
